Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 129285 - Unhandled exception when install rhes2.1-U2 when beginning to copy packages
Unhandled exception when install rhes2.1-U2 when beginning to copy packages
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: anaconda (Show other bugs)
2.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-05 17:21 EDT by Chris Simiskey
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-18 16:58:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda dump file from failed install (56.13 KB, text/plain)
2004-08-05 17:23 EDT, Chris Simiskey
no flags Details
second anaconda dump (46.32 KB, text/plain)
2004-08-05 20:22 EDT, Chris Simiskey
no flags Details

  None (edit)
Description Chris Simiskey 2004-08-05 17:21:58 EDT
Description of problem:
In GUI or Text mode install, RH ES 2.1-U4, receiving errors when
package isntallation begins. Anaconda gives the dump below, while the
text mode install gives a signal 11. Memory has been tested including
several different modules and all memory works fine. Machine is a Dell
Poweredge 750, 2.8GHz, failed with 256, 512, and 756meg of memory.
Tested using all default options (including not setting time zone,
medium firewall, etc)

Doing the same installation with RH ES 3-U2 works flawlessly. (I
require 2.1 for this server, otherwise I would be using 3)

Version-Release number of selected component (if applicable):


How reproducible:
100% for me. May be problem with this server, although seems odd that
ES3 would install and run fine.

Steps to Reproduce:
1. Choose graphical or text install
2. Choose any options, including leaving everything at default settings
3. Receive unhandled exception with the included dump
  
Actual results:
Fails with dump to save to floppy

Expected results:
Hoping it would complete the installation and work

Additional info:

See dumpfile
Comment 1 Chris Simiskey 2004-08-05 17:23:15 EDT
Created attachment 102473 [details]
Anaconda dump file from failed install
Comment 2 Chris Simiskey 2004-08-05 20:22:26 EDT
Created attachment 102476 [details]
second anaconda dump
Comment 3 Chris Simiskey 2004-08-05 20:23:20 EDT
I remembered I had originally gotten this (similar) error at the very
end of the installation. The only (that I remember) difference between
what was described above and this is that I made my normal package
selection (choose from list rather than the default). This error
occurs *after* all selected packages have been copied and appears to
die on the grub configuration. Attached is the dumpfile for this error.
Comment 4 Jeremy Katz 2004-08-09 17:31:58 EDT
These look like possible bad CDs.  Could you try reburning your CDs at
a lower speed and see if the problem persists?
Comment 5 Chris Simiskey 2004-08-11 16:10:34 EDT
Alrighty, multiple pieces to add:

Original Cd's (burned at 16x) loaded a different machine just fine
*UNTIL* reboot. After choosing the kernel, I got this error:
invalid compressed format (err=1)
and the system halted.  

Ok, fine, I try your option, reburn the cd's, this time at 8x. Then
reinstalled, went through, chose all the various packages, ready to
go, copied all gig worth of data up to and including 2-3 packages on
CD 3, at which point I got the original error again. =\

Any other suggestions or ideas where to look? 
Comment 6 Jeremy Katz 2004-08-12 14:15:57 EDT
It's definitely sounding like the CDs.  I'd suggest burning at a low
speed (2-4x) as there's some minor dislike between your CD drive and
the CD-R's you're using.
Comment 7 Chris Simiskey 2004-08-13 13:54:06 EDT
Made a set of CD's at 2x on a different machine (all cds prior had
been made on the same machine) and installed. I did get through the
install all the way to rebooting. Now I have problems that that appear
to relate to the filesystem type, but I am unsure why:

When installing, I get 2 kernels, the normal and an smp, with the smp
being default.

When booting to smp, it runs through various things up to the point it
hits RAMDISK. It gives the following error (manual transcription)
Invalid compressed format (err=2)Freeing initrd memory: 421k freed
request_module[block-major-8]: root fs not mounted
VFS: Cannot open root device "sda2" or 08:02
Please append correct "root=" boot option
Kernel panic: VFS: Unable to mount root fs on 08:02

if I choose the non-smp kernel, it stops immediately:
root(hd0,0)
 Filesystem tpye is ext2fs, partition type 0x83
Kernel /vmlinuz-2.4.9-e.40 ro root=/dev/sda2
Error 13: Invalid or unsopported executable format
Press any key to continue

At this point, pressing any key takes me back to kernel selection. The
odd this is that it seems to think this partition is ext2, when it is
in fact ext3, presumably what is causing the corruption error, but
*why* it think it is ext2 instead of ext3 I guess would be the
important question now. We use a MegaRaid 150-4 SATA Raid Controller
configured to mirror 2-40gb drives in this particular server, if it
helps get us pointed in the right direction. Thanks
Comment 8 Chris Simiskey 2004-08-18 16:57:48 EDT
Turned out to not be CD's - 

The default megaraid2 driver is 1.18 which amazingly enough semi-works
with the 150-4 card. There is a 2.10.?? built into update 4 of 2.1,
and doing an expert noprobe install allows me to choose that new
version instead of the default one. Sorry to waste time here heading
in the wrong direction. Thanks for the time.

Note You need to log in before you can comment on or make changes to this bug.